Unlike a post comment
curl --request POST \
--url https://api.kavenio.com/v1/posts/{postId}/comments/unlike \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetId": "gggggggggggggggg",
"platformLikeId": "at://did:plc:creator/app.bsky.feed.like/3like"
}
'import requests
url = "https://api.kavenio.com/v1/posts/{postId}/comments/unlike"
payload = {
"targetId": "gggggggggggggggg",
"platformLikeId": "at://did:plc:creator/app.bsky.feed.like/3like"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetId: 'gggggggggggggggg',
platformLikeId: 'at://did:plc:creator/app.bsky.feed.like/3like'
})
};
fetch('https://api.kavenio.com/v1/posts/{postId}/comments/unlike', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"postId": "<string>",
"targetId": "<string>",
"createdAt": "<string>",
"accountId": "<string>",
"commentUri": "<string>",
"commentCid": "<string>",
"platformLikeId": "<string>",
"nativeUrl": "<string>",
"deleted": true,
"liked": true,
"unliked": true
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Posts
Unlike post comment
Deletes a provider-backed like from a comment. Bluesky requires the like record URI returned by the like action.
POST
/
v1
/
posts
/
{postId}
/
comments
/
unlike
Unlike a post comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Minimum string length:
1Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Available options:
twitter, pinterest, linkedin, bluesky, mastodon, reddit, telegram, youtube, facebook, instagram, threads, tiktok, googlebusiness, discord Was this page helpful?
⌘I